This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 620227

Summary: You need more space on the following filesystems: 0 M on /boot
Product: [Fedora] Fedora Reporter: udo <udovdh>
Component: preupgradeAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 19CC: bangorme, rhughes, richard
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-10 05:51:24 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
0mb screen none

Description udo 2010-08-01 12:25:02 EDT
Description of problem:
You need more space on the following filesystems:
0 M on /boot

Version-Release number of selected component (if applicable):
preupgrade-1.1.7-1.fc12.noarch ?

How reproducible:
Upgrade to F13 via preupgrade

Steps to Reproduce:
1. run preupgrade let it prepare
2. reboot
3. choose F13 upgrade option in grub menu, have the upgrade procede
  
Actual results:
Window saying:
You need more space on the following filesystems:
0 M on /boot


Expected results:
Flawless install

Additional info:
Actually 27M free in /boot...
So what is actually needed in addition?
And how does that solve the historically small /boot filesystems?
Comment 1 udo 2010-08-02 11:06:09 EDT
Created attachment 436049 [details]
0mb screen

screenshot that caused this bugzilla entry
Comment 2 Bug Zapper 2010-11-03 07:21:38 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 udo 2010-11-04 13:16:00 EDT
Of course we close everything without testing and are then maybe surprised we get new bugzilla entries.
How can we test this?
The system runs as it is and I do not have spare PC's around.
Also the running system should remain intact...
Comment 4 Bug Zapper 2010-12-03 07:59:44 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 udo 2010-12-03 08:13:17 EST
Not even an open question was answered.
An essential bug, even, as it may prohibit installation and we lazily let bugzapper arbitrarily handle this.
Why oh why?
This is a severe quality issue.
Please explain why all bugs are the same, w.r.t. the same rude handling?
Comment 6 Bug Zapper 2010-12-03 16:51:17 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 udo 2010-12-31 09:37:26 EST
Also seen while upgrading from F13 to F14.
So thanks for a quality bugzilla process.
Even the upgrade process is not worthwhile to get closer to perfect.
No, I am not dissing anybody.
I just want to get people to see the importance of things.
And yes, I'd like to help where I can so that is not the point.
The whole bugzilla process needs to be revised as well as the priorities for fixing bugs. (see the gnome transparent icons when `cut`ting case)
Thanks.
Comment 8 udo 2011-01-05 04:33:16 EST
Actually, is it a preupgrade bug?
Isn't it anaconda doing the work after the boot into the upgrade process?
And technically, does that anaconda belong to Fedora 14?
Comment 9 S 2011-08-22 15:42:10 EDT
This bug is still present when using preupgrade from Federa 14 to 15.  All other portions of the initial bug report are correct.
Comment 10 S 2011-08-22 23:04:27 EDT
Just wanted to add that this is a significant bug, in that it trashes the system being upgraded.  It appears to have nothing to do with F12, F13, F14 or F15, but rather connected to preupgrade in some way.  In light of the effect on people using preupgrade, it should probably be disabled until this bug is fixed.
Comment 11 S 2011-08-22 23:14:36 EDT
Correction:  Although F14 did not start after preupdate failed because of this bug, it did start when tried later, so perhaps the impact isn't as great as I had thought earlier
Comment 12 Fedora End Of Life 2013-04-03 16:14:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 13 udo 2014-06-10 09:32:54 EDT
WONTFIX?
No explanation?
That is two problems:
One in the software and the messages that the software emits.
Two in the process of fixing said issue. SPeed is one thing. Content is another thing. Quality is the last one.
Please understand me correctly: I do understand about volunteering and all that stuff, but how does this bug and the treatment of the bug help improving the project? Or even this piece of software?
Comment 14 Richard Hughes 2014-09-16 06:27:24 EDT
(In reply to udo from comment #13)
> No explanation?

It was reported against Fedora 12 against preupgrade. Fedora 12 is long dead. Preupgrade is now dead, and replaced by fedup. The message clearly says you need more space on /boot. 37Mb is not enough space for an upgrade image.